package p04_instrukcje;

import javax.swing.JOptionPane;

public class Petle_BreakContinue {

    public static void main(String[] args) {
        int licznik = 0;

        while(true) {
            licznik++;
            JOptionPane.showInternalMessageDialog(null, "Początek pętli, licznik = " + licznik);
            int odp1 = JOptionPane.showConfirmDialog(null, "Czy zrobić break?");
            if(odp1 == JOptionPane.YES_OPTION) {
                break;
                // break w pętli powoduje natychmiastowe zakończenie tej pętli i przejście do następnej instrukcji za pętlą
            }
            JOptionPane.showInternalMessageDialog(null, "Środek pętli. Nie było break.");

            int odp2 = JOptionPane.showConfirmDialog(null, "Czy zrobić continue?");
            if(odp2 == JOptionPane.YES_OPTION) {
                continue;
                // continue powoduje pominięcie reszty instrukcji w bieżącym obrocie pętli
                // i przejście od razu na początek następnego obrotu
            }
            JOptionPane.showInternalMessageDialog(null, "Koniec pętli, nie było break ani continue");
        }

        JOptionPane.showInternalMessageDialog(null, "Koniec programu");
    }

}
